<?php

/*
'**************************************************************************************************
' 程序名称: CCTVAI开源音乐管理系统
' 官方网站: http://www.cctvai.com
' 联系 Q Q: 1542367792
' QQ交流群：136687984
' 版本：(终结版)
' 备注：未经书面授权，不得向任何第三方提供本软件系统！
' 功能，模板，插件，扩展，定制请联系QQ：1542367792
'**************************************************************************************************
*/
error_reporting(0);
include "conf.inc.php";
if($typeid == "1") {
    $id=$_SERVER['PATH_INFO']; //获得id
    $id=substr($id, 1); // 把斜杠干掉
} else {
    $id=$_GET['id']; //获得id
}
$form=strtolower(trim(substr(strrchr($id, "."), 1))); //获取后缀名
$id=str_replace('.' . $form . '', '', $id); //后缀名
if($typeremote == "1") {
    $str=@file_get_contents("http://vv.video.qq.com/geturl?vid=" . $id . "&otype=json");
} else {
    $curl=curl_init();
    curl_setopt($curl, CURLOPT_URL, "http://vv.video.qq.com/geturl?vid=" . $id . "&otype=json");
    curl_setopt($curl, CURLOPT_RETURNTRANSFER, 1);
    curl_setopt($ch, CURLOPT_TIMEOUT, 10);
    $str=curl_exec($curl);
    curl_close($curl);
}

preg_match('/url":"(.*)"/iU', $str, $url);
$playurl=$url[1];
if($url[1]) {
    header('Content-Type:application/force-download');
    header("location:$playurl");
} else {
    echo '解析失败，文件不存在数据错误。';
}
?>